Mozilla L10N フォーラム一覧 Mozilla 製品 とその関連ソフトの日本語化に関するフォーラムです。
参加方法などは modest を、変更履歴は Github をご覧ください。
 よくある質問  •  検索  •  登録ユーザ一覧  •  グループ   •  登録  •  ユーザ設定  •  ログインして PM を確認  •  ログイン
 バージョンを表す文字列 次のトピックを表示
前のトピックを表示
トピックの新規投稿返信
投稿者 メッセージ

ゲスト





記事 件名: バージョンを表す文字列     投稿時間: 2006年9月18日(月) 00:01 引用トップに移動

dynamis wrote:
Thunderbird 2.0b1pre の pre って何それって感じですから無視して 2.0b1 にしようかとも思ったけどまぁ 2.0b1pre にしておきました。

詳しくはToolkit version format - MDCに書かれていますが、
"2.0b1pre" は、"2.0b1" よりも小さいバージョンということになります。
ということは、拡張や言語パックの install.rdf では、pre を無視して minVersion を 2.0b1 と指定すると、2.0b1pre にはインストールできません。

まぁ、厳密に指定しようとすると問題になるのですが、
実際は minVersion は小さめに、 maxVersion は大きめに書いている場合がほとんどだと思うので、実際は問題になることはあまりないと思います。
dynamis



登録日: 2003年10月 05日
記事: 1743

ユーザ情報を表示メッセージを送信ウェブサイトに移動
記事 件名: Re: バージョンを表す文字列     投稿時間: 2006年9月19日(火) 02:36 引用トップに移動

あ wrote:
dynamis wrote:
Thunderbird 2.0b1pre の pre って何それって感じですから無視して 2.0b1 にしようかとも思ったけどまぁ 2.0b1pre にしておきました。

詳しくはToolkit version format - MDCに書かれていますが、
"2.0b1pre" は、"2.0b1" よりも小さいバージョンということになります。
ということは、拡張や言語パックの install.rdf では、pre を無視して minVersion を 2.0b1 と指定すると、2.0b1pre にはインストールできません。

まぁ、厳密に指定しようとすると問題になるのですが、
実際は minVersion は小さめに、 maxVersion は大きめに書いている場合がほとんどだと思うので、実際は問題になることはあまりないと思います。

池田 wrote:
pre が付くのは valid なバージョンナンバリングです。
Toolkit version format - MDC
2.0b1 じゃないけど、次のバージョンでは 2.0b1 になるよ、という意味かと。

えと、一応ファイル名規則とかドキュメントする際に色々調べたこともあって valid だということはもちろん知っています。
単に、なんで Thunderbird だけそんな中途半端なバージョンにするんじゃぁ、a2 か b1 で良いじゃん、意図が分からん~すぐに b1 に変わるようなら JLP は気にせず b1 にしてやろうか、でもやめとくか、というつもりでした。

お騒がせしました。(^^;

____________________
http://www.mozilla-japan.org/jp/l10n/
http://firehacks.org/blog/
指定期間中に書かれた記事を表示:      
トピックの新規投稿返信


 別のフォーラムに移る:   



次のトピックを表示
前のトピックを表示
新規トピックを投稿できます
既存トピックに返信できます
自分の記事を編集できません
自分の記事を削除できません
投票に参加できません


Powered by phpBB © 2001, 2002 phpBB Group (customized by dynamis) :: FI Theme :: All times are GMT +9:00